Page MenuHomePhabricator

History icon not completely visible in smaller screen devices
Closed, ResolvedPublic2 Estimate Story Points

Description

Note: Possibly should be merged with T233172 which is impacted by the same problem

The history icon shown at the end of the page near the last edited information is not completely visible in smaller screen devices.

Screen shot

Environments observed

Browser: Firefox 68.2.1
Browser window size: 320x452 (measured using howbigismybrowser.com)
Android OS versions: 5.1.1
Device model: Samsung Galaxy j1 ace
Device language: English

QA Steps

Environment: beta-cluster
Goal: Verify that at very narrow widths, the clock icon at the bottom of article pages is not cut off.
Test cases: Mobile devices with very small screens. Desktop browsers at very narrow widths.

QA Results

ACStatusDetails
1T238681#5741207

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterAdding min-width/min-height to icon sizes

Event Timeline

Kaartic created this task.Nov 19 2019, 6:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2019, 6:55 PM
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
ovasileva triaged this task as Medium priority.Nov 20 2019, 8:57 PM

I’ll note that in my case (the duplicate task) both icons are cut off (the arrow too), and by a much larger amount.

ovasileva moved this task from Needs triage to Triaged on the Mobile board.Nov 26 2019, 4:32 PM

Change 554389 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Adding min-width/min-height to icon sizes

https://gerrit.wikimedia.org/r/554389

Jdrewniak removed ovasileva as the assignee of this task.Dec 4 2019, 12:20 AM
Jdrewniak added a subscriber: ovasileva.
ovasileva set the point value for this task to 2.Dec 4 2019, 6:31 PM

Change 554389 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Adding min-width/min-height to icon sizes

https://gerrit.wikimedia.org/r/554389

Jdrewniak updated the task description. (Show Details)Dec 5 2019, 10:42 AM
ovasileva assigned this task to Edtadros.Dec 9 2019, 6:59 PM
Edtadros reassigned this task from Edtadros to ovasileva.Dec 14 2019, 1:46 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Environment: beta-cluster

✅AC1: Goal: Verify that at very narrow widths, the clock icon at the bottom of article pages is not cut off.
Test cases: Mobile devices with very small screens. Desktop browsers at very narrow widths.

Tested with 320 pixel width

Tested with 150 pixel width

Edtadros updated the task description. (Show Details)Dec 14 2019, 1:53 AM
ovasileva closed this task as Resolved.Dec 16 2019, 10:00 AM

all done!